Works with FF4 Puntuado con 5 de 5 estrellas

Works with Firefox 4 b8 when compatibility is forced. Invaluable addon.